CREATE TABLE fv_federal_attributes (
    FEDERAL_ATTRIBUTE_ID        NUMBER(18, 0),
    LEDGER_ID                   NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_CODE              VARCHAR2(120)    NOT NULL,
    CATEGORY_CODE               VARCHAR2(120)    NOT NULL,
    SOURCE_CODE                 VARCHAR2(120)    NOT NULL,
    SOURCE_VALUE_CODE           VARCHAR2(240),
    GTAS_REPORTABLE_FLAG        VARCHAR2(4)      NOT NULL,
    DATA_ACT_REPORTABLE_CODE    VARCHAR2(120),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE6                  VARCHAR2(600),
    ATTRIBUTE7                  VARCHAR2(600),
    ATTRIBUTE8                  VARCHAR2(600),
    ATTRIBUTE9                  VARCHAR2(600),
    ATTRIBUTE10                 VARCHAR2(600),
    ATTRIBUTE11                 VARCHAR2(600),
    ATTRIBUTE12                 VARCHAR2(600),
    ATTRIBUTE13                 VARCHAR2(600),
    ATTRIBUTE14                 VARCHAR2(600),
    ATTRIBUTE15                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_DATE1             DATE         ,
    ATTRIBUTE_DATE2             DATE         ,
    ATTRIBUTE_DATE3             DATE         ,
    ATTRIBUTE_DATE4             DATE         ,
    ATTRIBUTE_DATE5             DATE         ,
    ATTRIBUTE_CATEGORY          VARCHAR2(600),
    DEFAULT_VALUE_CODE          VARCHAR2(600),
    FEDERAL_ATTRIBUTE_ID        NUMBER(18, 0),
    LEDGER_ID                   NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_NAME              VARCHAR2(600),
    CATEGORY_CODE               VARCHAR2(120)    NOT NULL,
    SOURCE_CODE                 VARCHAR2(120)    NOT NULL,
    SOURCE_VALUE_CODE           VARCHAR2(240),
    GTAS_REPORTABLE_FLAG        VARCHAR2(4)      NOT NULL,
    DATA_ACT_REPORTABLE_CODE    VARCHAR2(120),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    ATTRIBUTE1                  VARCHAR2(600),
    ATTRIBUTE2                  VARCHAR2(600),
    ATTRIBUTE3                  VARCHAR2(600),
    ATTRIBUTE4                  VARCHAR2(600),
    ATTRIBUTE5                  VARCHAR2(600),
    ATTRIBUTE6                  VARCHAR2(600),
    ATTRIBUTE7                  VARCHAR2(600),
    ATTRIBUTE8                  VARCHAR2(600),
    ATTRIBUTE9                  VARCHAR2(600),
    ATTRIBUTE10                 VARCHAR2(600),
    ATTRIBUTE11                 VARCHAR2(600),
    ATTRIBUTE12                 VARCHAR2(600),
    ATTRIBUTE13                 VARCHAR2(600),
    ATTRIBUTE14                 VARCHAR2(600),
    ATTRIBUTE15                 VARCHAR2(600),
    ATTRIBUTE_NUMBER1           NUMBER       ,
    ATTRIBUTE_NUMBER2           NUMBER       ,
    ATTRIBUTE_NUMBER3           NUMBER       ,
    ATTRIBUTE_NUMBER4           NUMBER       ,
    ATTRIBUTE_NUMBER5           NUMBER       ,
    ATTRIBUTE_DATE1             DATE         ,
    ATTRIBUTE_DATE2             DATE         ,
    ATTRIBUTE_DATE3             DATE         ,
    ATTRIBUTE_DATE4             DATE         ,
    ATTRIBUTE_DATE5             DATE         ,
    ATTRIBUTE_CATEGORY          VARCHAR2(600),
    ATTRIBUTE_CODE              VARCHAR2(120)    NOT NULL,
    DEFAULT_VALUE_CODE          VARCHAR2(600),
    CONSTRAINT pk_fv_federal_attributes PRIMARY KEY (FEDERAL_ATTRIBUTE_ID, FEDERAL_ATTRIBUTE_ID)
);
